Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.resourcedisplay
Class ResourceDisplay

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JLayeredPane
                      javax.swing.JDesktopPane
                          edu.stanford.smi.protege.ui.InstanceDisplay
                              edu.stanford.smi.protegex.owl.ui.resourcedisplay.ResourceDisplay

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, edu.stanford.smi.protege.util.Selectable, ResourcePanel, InferredModeWidget, ImageObserver, MenuContainer, Serializable, Accessible

    public class ResourceDisplay

extends edu.stanford.smi.protege.ui.InstanceDisplay
implements ResourcePanel

An InstanceDisplay with the "type" actions instead of the yellow sticky ones on top. For classes this can also be used to switch between asserted and inferred view.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDesktopPane
`JDesktopPane.AccessibleJDesktopPane`

Nested classes/interfaces inherited from class javax.swing.JLayeredPane
`JLayeredPane.AccessibleJLayeredPane`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static int` | `DEFAULT_TYPE_CLS` Deprecated.
`static int` | `DEFAULT_TYPE_INSTANCE` Deprecated.
`static int` | `DEFAULT_TYPE_SLOT` Deprecated.
`static int` | `SMALL_BUTTON_WIDTH`

Fields inherited from class javax.swing.JDesktopPane
`LIVE_DRAG_MODE, OUTLINE_DRAG_MODE`

Fields inherited from class javax.swing.JLayeredPane
`DEFAULT_LAYER, DRAG_LAYER, FRAME_CONTENT_LAYER, LAYER_PROPERTY, MODAL_LAYER, PALETTE_LAYER, POPUP_LAYER`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.resourcedisplay.ResourcePanel
`DEFAULT_TYPE_CLASS, DEFAULT_TYPE_INDIVIDUAL, DEFAULT_TYPE_ONTOLOGY, DEFAULT_TYPE_PROPERTY`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ResourceDisplay(edu.stanford.smi.protege.model.Project project)`
`ResourceDisplay(edu.stanford.smi.protege.model.Project project, boolean showHeader, boolean showHeaderLabel)`
`ResourceDisplay(edu.stanford.smi.protege.model.Project project, int defaultType)`

Method Summary
`void` | `addSelectionListener(edu.stanford.smi.protege.util.SelectionListener listener)`
`void` | `clearSelection()`
`boolean` | `displayHostInstance(edu.stanford.smi.protege.model.Instance instance)` Deprecated.
`boolean` | `displayHostResource(RDFResource resource)`
`void` | `dispose()`
`protected InstanceNameComponent` | `getInstanceNameComponent()`
`Dimension` | `getPreferredSize()`
`RDFResource` | `getResource()`
`Collection` | `getSelection()`
`protected String` | `getTitleString(edu.stanford.smi.protege.model.Instance instance, String title)`
`protected String` | `getTypeText(edu.stanford.smi.protege.model.Instance instance)`
`protected edu.stanford.smi.protege.widget.ClsWidget` | `getWidget(edu.stanford.smi.protege.model.Cls type, edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls associatedCls)`
`protected boolean` | `hasUnsuppressedTypes(edu.stanford.smi.protege.model.Instance instance)`
`protected boolean` | `isSuppressedType(edu.stanford.smi.protege.model.Cls type)`
`protected boolean` | `isSuppressedType(edu.stanford.smi.protege.model.Cls type, edu.stanford.smi.protege.model.Instance instance)`
`boolean` | `isTriplesDisplayed()`
`protected void` | `loadHeader()`
`protected void` | `loadHeaderLabel(edu.stanford.smi.protege.model.Instance instance)`
`protected void` | `loadHeaderWithCls(edu.stanford.smi.protege.model.Cls cls)`
`protected void` | `loadHeaderWithOntology(OWLOntology owlOntology)`
`protected void` | `loadHeaderWithSimpleInstance(edu.stanford.smi.protege.model.Instance instance)`
`protected void` | `loadHeaderWithSlot(edu.stanford.smi.protege.model.Slot slot)`
`void` | `notifySelectionListeners()`
`protected void` | `onDirectTypeAdded(edu.stanford.smi.protege.model.Cls type)`
`protected void` | `onDirectTypeRemoved(edu.stanford.smi.protege.model.Cls type)`
`void` | `removeSelectionListener(edu.stanford.smi.protege.util.SelectionListener listener)`
`protected void` | `reworkHeaderComponent()`
`void` | `setBounds(int x, int y, int width, int height)`
`void` | `setEnabled(boolean enabled)`
`void` | `setInferredMode(boolean value)` Sets the inferred mode.
`void` | `setInstance(edu.stanford.smi.protege.model.Instance instance)`
`void` | `setInstance(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls associatedCls)`
`void` | `setMode(boolean formView, boolean triplesView)`
`void` | `setResource(RDFResource resource)`
`protected boolean` | `shouldDisplaySlot(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot)`
`void` | `updateInferredModeOfWidgets()`

Methods inherited from class edu.stanford.smi.protege.ui.InstanceDisplay
`addRuntimeWidgets, createHeaderComponent, createSingleFormWidgetLayout, createTabbedWidgetLayout, createWidgetContainer, doTabbedFormLayout, equals, getCurrentClsWidget, getCurrentInstance, getFirstClsWidget, getHeaderComponent, getHeaderLabel, isDisplayingSlot, makeInstanceScrollPane, removeCurrentWidgets, reshape, setBorder, setResizeVertically`

Methods inherited from class javax.swing.JDesktopPane
`getAccessibleContext, getAllFrames, getAllFramesInLayer, getDesktopManager, getDragMode, getSelectedFrame, getUI, getUIClassID, isOpaque, paramString, setDesktopManager, setDragMode, setSelectedFrame, setUI, updateUI`

Methods inherited from class javax.swing.JLayeredPane
`addImpl, getComponentCountInLayer, getComponentsInLayer, getComponentToLayer, getIndexOf, getLayer, getLayer, getLayeredPaneAbove, getObjectForLayer, getPosition, highestLayer, insertIndexForLayer, isOptimizedDrawingEnabled, lowestLayer, moveToBack, moveToFront, paint, putLayer, remove, removeAll, setLayer, setLayer, setPosition`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_TYPE_CLS

    @Deprecated
    public static final int DEFAULT_TYPE_CLS

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_TYPE_SLOT

    @Deprecated
    public static final int DEFAULT_TYPE_SLOT

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_TYPE_INSTANCE

    @Deprecated
    public static final int DEFAULT_TYPE_INSTANCE

  Deprecated.
  See Also:
    Constant Field Values

### SMALL_BUTTON_WIDTH

    public static final int SMALL_BUTTON_WIDTH

See Also:
  Constant Field Values

Constructor Detail

### ResourceDisplay

    public ResourceDisplay(edu.stanford.smi.protege.model.Project project,
                           boolean showHeader,
                           boolean showHeaderLabel)

### ResourceDisplay

    public ResourceDisplay(edu.stanford.smi.protege.model.Project project)

### ResourceDisplay

    public ResourceDisplay(edu.stanford.smi.protege.model.Project project,
                           int defaultType)

Method Detail

### addSelectionListener

    public void addSelectionListener(edu.stanford.smi.protege.util.SelectionListener listener)

  Specified by:
    `addSelectionListener` in interface `edu.stanford.smi.protege.util.Selectable`

### clearSelection

    public void clearSelection()

  Specified by:
    `clearSelection` in interface `edu.stanford.smi.protege.util.Selectable`

### reworkHeaderComponent

    protected void reworkHeaderComponent()

### displayHostInstance

    @Deprecated
    public boolean displayHostInstance(edu.stanford.smi.protege.model.Instance instance)

  Deprecated.

  See Also:
    `displayHostResource(edu.stanford.smi.protegex.owl.model.RDFResource)`

### displayHostResource

    public boolean displayHostResource(RDFResource resource)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`
  Specified by:
    `dispose` in interface `ResourcePanel`
  Overrides:
    `dispose` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### getInstanceNameComponent

    protected InstanceNameComponent getInstanceNameComponent()

### getPreferredSize

    public Dimension getPreferredSize()

  Overrides:
    `getPreferredSize` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### getResource

    public RDFResource getResource()

  Specified by:
    `getResource` in interface `ResourcePanel`

### getSelection

    public Collection getSelection()

  Specified by:
    `getSelection` in interface `edu.stanford.smi.protege.util.Selectable`

### getWidget

    protected edu.stanford.smi.protege.widget.ClsWidget getWidget(edu.stanford.smi.protege.model.Cls type,
                                                                  edu.stanford.smi.protege.model.Instance instance,
                                                                  edu.stanford.smi.protege.model.Cls associatedCls)

  Overrides:
    `getWidget` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### isSuppressedType

    protected boolean isSuppressedType(edu.stanford.smi.protege.model.Cls type,
                                       edu.stanford.smi.protege.model.Instance instance)

### hasUnsuppressedTypes

    protected boolean hasUnsuppressedTypes(edu.stanford.smi.protege.model.Instance instance)

### isSuppressedType

    protected boolean isSuppressedType(edu.stanford.smi.protege.model.Cls type)

### isTriplesDisplayed

    public boolean isTriplesDisplayed()

### loadHeader

    protected void loadHeader()

  Overrides:
    `loadHeader` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### loadHeaderLabel

    protected void loadHeaderLabel(edu.stanford.smi.protege.model.Instance instance)

  Overrides:
    `loadHeaderLabel` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### loadHeaderWithCls

    protected void loadHeaderWithCls(edu.stanford.smi.protege.model.Cls cls)

  Overrides:
    `loadHeaderWithCls` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### loadHeaderWithSimpleInstance

    protected void loadHeaderWithSimpleInstance(edu.stanford.smi.protege.model.Instance instance)

  Overrides:
    `loadHeaderWithSimpleInstance` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### loadHeaderWithSlot

    protected void loadHeaderWithSlot(edu.stanford.smi.protege.model.Slot slot)

  Overrides:
    `loadHeaderWithSlot` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### loadHeaderWithOntology

    protected void loadHeaderWithOntology(OWLOntology owlOntology)

### getTitleString

    protected String getTitleString(edu.stanford.smi.protege.model.Instance instance,
                                    String title)

### getTypeText

    protected String getTypeText(edu.stanford.smi.protege.model.Instance instance)

  Overrides:
    `getTypeText` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### notifySelectionListeners

    public void notifySelectionListeners()

  Specified by:
    `notifySelectionListeners` in interface `edu.stanford.smi.protege.util.Selectable`

### onDirectTypeAdded

    protected void onDirectTypeAdded(edu.stanford.smi.protege.model.Cls type)

  Overrides:
    `onDirectTypeAdded` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### onDirectTypeRemoved

    protected void onDirectTypeRemoved(edu.stanford.smi.protege.model.Cls type)

  Overrides:
    `onDirectTypeRemoved` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### removeSelectionListener

    public void removeSelectionListener(edu.stanford.smi.protege.util.SelectionListener listener)

  Specified by:
    `removeSelectionListener` in interface `edu.stanford.smi.protege.util.Selectable`

### setInferredMode

    public void setInferredMode(boolean value)

  Description copied from interface: `InferredModeWidget`
  Sets the inferred mode.

  Specified by:
    `setInferredMode` in interface `InferredModeWidget`
  Parameters:
    `value` - true to show the inferred mode, false for asserted mode

### setMode

    public void setMode(boolean formView,
                        boolean triplesView)

### setBounds

    public void setBounds(int x,
                          int y,
                          int width,
                          int height)

  Overrides:
    `setBounds` in class `Component`

### setInstance

    public void setInstance(edu.stanford.smi.protege.model.Instance instance)

  Overrides:
    `setInstance` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### setInstance

    public void setInstance(edu.stanford.smi.protege.model.Instance instance,
                            edu.stanford.smi.protege.model.Cls associatedCls)

  Overrides:
    `setInstance` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### setResource

    public void setResource(RDFResource resource)

  Specified by:
    `setResource` in interface `ResourcePanel`

### shouldDisplaySlot

    protected boolean shouldDisplaySlot(edu.stanford.smi.protege.model.Cls cls,
                                        edu.stanford.smi.protege.model.Slot slot)

  Overrides:
    `shouldDisplaySlot` in class `edu.stanford.smi.protege.ui.InstanceDisplay`

### updateInferredModeOfWidgets

    public void updateInferredModeOfWidgets()

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `JComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.